- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# slxos_interface – Manage Interfaces on Extreme SLX-OS network devices

New in version 2.6.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module provides declarative management of Interfaces on Extreme SLX-OS network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate - |  | List of Interfaces definitions.
delay - | Default: 10 | Time in seconds to wait before checking for the operational state on remote device. This wait is applicable for operational state argument which are state with values `up`/`down`, tx_rate and rx_rate.
description - |  | Description of Interface.
enabled boolean | Choices: no yes ← | Interface link status.
mtu - |  | Maximum size of transmit packet.
name - / required |  | Name of the Interface.
neighbors - |  | Check the operational state of given interface `name` for LLDP neighbor. The following suboptions are available.
| host - |  | LLDP neighbor host for given interface `name`.
| port - |  | LLDP neighbor port to which given interface `name` is connected.
rx_rate - |  | Receiver rate in bits per second (bps).
speed - |  | Interface link speed.
state - | Choices: present ← absent up down | State of the Interface configuration, `up` means present and operationally up and `down` means present and operationally `down`
tx_rate - |  | Transmit rate in bits per second (bps).

## Notes

Note

- Tested against SLX-OS 17s.1.02

## Examples

    - name: configure interface
      slxos_interface:
          name: Ethernet 0/2
          description: test-interface
          speed: 1000
          mtu: 9216

    - name: remove interface
      slxos_interface:
        name: Loopback 9
        state: absent

    - name: make interface up
      slxos_interface:
        name: Ethernet 0/2
        enabled: True

    - name: make interface down
      slxos_interface:
        name: Ethernet 0/2
        enabled: False

    - name: Check intent arguments
      slxos_interface:
        name: Ethernet 0/2
        state: up
        tx_rate: ge(0)
        rx_rate: le(0)

    - name: Check neighbors intent arguments
      slxos_interface:
        name: Ethernet 0/41
        neighbors:
        - port: Ethernet 0/41
          host: SLX

    - name: Config + intent
      slxos_interface:
        name: Ethernet 0/2
        enabled: False
        state: down

    - name: Add interface using aggregate
      slxos_interface:
        aggregate:
        - { name: Ethernet 0/1, mtu: 1548, description: test-interface-1 }
        - { name: Ethernet 0/2, mtu: 1548, description: test-interface-2 }
        speed: 10000
        state: present

    - name: Delete interface using aggregate
      slxos_interface:
        aggregate:
        - name: Loopback 9
        - name: Loopback 10
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always, except for the platforms that use Netconf transport to manage the device. | The list of configuration mode commands to send to the device. Sample: ['interface Ethernet 0/2', 'description test-interface', 'mtu 1548']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Lindsay Hill (@LindsayHill)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.